framework:
    workflows:
        session:
            type: "state_machine"
            audit_trail:
                enabled: "%kernel.debug%"
            marking_store:
                type: 'method'
                property: 'status'
            supports:
                - App\Entity\Session\Session
            initial_marking: toClose
            places:
                - toClose
                - toSign
                - toConfirm
                - validated
                - invalid
            transitions:
                sessionEndToStudentSign:
                    from: toClose
                    to: toSign
                sessionEndToValidate:
                    from: toClose
                    to: toConfirm
                studentSignAfterValidation:
                    from: toSign
                    to: validated
                studentSignBeforeValidation:
                    from: toSign
                    to: toConfirm
                studentSignWithoutValidation:
                    from: toSign
                    to: validated
                validateAfterStudentSign:
                    from: toConfirm
                    to: validated
                validateBeforeStudentSign:
                    from: toConfirm
                    to: toSign
                invalidate:
                    from: toConfirm
                    to: invalid
